package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.PPModel;
import com.sa.ibiz.demo.demo.service.dto.PPModelSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[PPModel] 服务对象接口
 */
public interface PPModelService extends IService<PPModel>{

		PPModel get(PPModel et);
	boolean checkKey(PPModel et);
	boolean getDraft(PPModel et);
	boolean create(PPModel et);
	boolean update(PPModel et);
	boolean remove(PPModel et);
    List<PPModel> listDefault(PPModelSearchFilter filter) ;
	Page<PPModel> searchDefault(PPModelSearchFilter filter);
	/**	 实体[PPModel] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }